无法安装任何软件包到NPM或BOWER

我已经广泛地研究了这个,没有任何东西。 所以我希望这会产生一个不同的解决scheme。

我不断收到这个错误

npm WARN packages@1.0.0 No description npm WARN packages@1.0.0 No repository field. npm ERR! Windows_NT 10.0.14393 npm ERR! argv "C:\\Program Files\\nodejs\\node.exe" "C:\\Program Files\\nodejs\\node_modules\\npm\\bin\\npm-cli.js" "install" "express" npm ERR! node v6.9.1 npm ERR! npm v3.10.8 npm ERR! path C:\xampp\htdocs\nodeprojects\contact-list-app\node_modules\.staging\depd-974ec5fe npm ERR! code EPERM npm ERR! errno -4048 npm ERR! syscall rename npm ERR! Error: EPERM: operation not permitted, rename 'C:\xampp\htdocs\nodeprojects\contact-list-app\node_modules\.staging\depd-974ec5fe' -> 'C :\xampp\htdocs\nodeprojects\contact-list-app\node_modules\depd' npm ERR! at destStatted (C:\Users\Luis\AppData\Roaming\nvm\v6.9.1\node_modules\npm\lib\install\action\finalize.js:25:7) npm ERR! at FSReqWrap.oncomplete (fs.js:123:15) npm ERR! npm ERR! Error: EPERM: operation not permitted, rename 'C:\xampp\htdocs\nodeprojects\contact-list-app\node_modules\.staging\depd-974ec5fe' -> 'C :\xampp\htdocs\nodeprojects\contact-list-app\node_modules\depd' npm ERR! at Error (native) npm ERR! { Error: EPERM: operation not permitted, rename 'C:\xampp\htdocs\nodeprojects\contact-list-app\node_modules\.staging\depd-974ec5fe' -> 'C:\xampp\htdocs\nodeprojects\contact-list-app\node_modules\depd' npm ERR! at destStatted (C:\Users\Luis\AppData\Roaming\nvm\v6.9.1\node_modules\npm\lib\install\action\finalize.js:25:7) npm ERR! at FSReqWrap.oncomplete (fs.js:123:15) npm ERR! npm ERR! Error: EPERM: operation not permitted, rename 'C:\xampp\htdocs\nodeprojects\contact-list-app\node_modules\.staging\depd-974ec5fe' -> 'C :\xampp\htdocs\nodeprojects\contact-list-app\node_modules\depd' npm ERR! at Error (native) parent: 'packages' } npm ERR! npm ERR! Please try running this command again as root/Administrator. npm ERR! Please include the following file with any support request: npm ERR! C:\xampp\htdocs\nodeprojects\contact-list-app\npm-debug.log 
  • 这不是一台苹果机,这是一个Windows机器,所以与其他答案无关
  • 我没有一个杀毒软件运行,所以这是一个不行
  • 我按照这里build议的和其他SO解决scheme运行npm cache clean

它运行良好,然后当我尝试安装angular-ui-bootstrap时,它开始执行此操作。 但我能够安装其他依赖关系就好了。

我也做了:

  • 重新启动我的机器
  • 使用CMD作为pipe理员
  • 使用git bash
  • 使用npm控制台
  • 删除整个事情,并开始在另一个目录(绝望)
  • 卸载并重新安装node.js
  • 喝了很多咖啡,并升级到酒精

请保释我

       

网上收集的解决方案 "无法安装任何软件包到NPM或BOWER"

我发布这个答案,只是因为没有足够的文档在networking上的这个错误,但请如果你有其他的想法,你想补充作为一个可能的解决scheme(除了我试过的问题),请感觉自由。 我相信还有很多其他的沮丧的开发者在寻找这个。 无论如何,这是我解决它的方法。

我删除了我的node_modules文件夹,所以我可以重新安装新的依赖关系。 这不会破坏你的项目中的任何东西,因为只要你把它们加回来,它们就会和以前一样。 所以,不要害怕你会暂时得到的404s。

然后我通过运行完成了全新的安装

 npm init 

这将得到我的packages.json文件

然后我试图安装我的第一个依赖项,任何依赖项,select一个。 但错误来了,node_modules甚至没有开始。 所以我通过安装npm作为依赖来运行它。 为什么这个工作? 打败我! 但是节点的神秘力量知道我不知道的事情,我对此也没有问题。 所以我基本做到了这一点

 npm install npm --save 

这build立了我的node_modules文件夹,我能够安装一切回来。 事后,我删除了npm依赖关系,就像从来没有。

再次,随意张贴任何其他解决scheme。 我不认为这是一个明确的解决scheme,所以我不会标记它。 它只是为我工作。 以为我分享了它

编辑

不要像通常那样通过运行npm uninstall <package>来删除npm依赖项。 相反,只要删除一个良好的ol删除键的依赖关系